TokyoTyrant::putKeep
TokyoTyrant::putShl
TokyoTyrant
PHP Manual

# TokyoTyrant::putNr

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::putNr — Enregistre une valeur

### Description

public TokyoTyrant TokyoTyrant::putNr ( mixed `$keys` [, string `$value` = NULL ] )

Enregistre une ou plusieurs paires clé-valeur dans la base de données. Si le paramètre `keys` est une chaîne de caractères, le second paramètre définira la valeur. Le second paramètre n'est obligatoire que si le paramètre `keys` est une chaîne de caractères. Cette méthode n'attend pas la réponse du serveur.

### Liste de paramètres

`keys`

  Une clé ou un tableau de paires clé-valeur.

`value`

  La valeur si une seule clé est fournie

### Valeurs de retour

Cette méthode retourne une référence à l'objet courant et lance une exception TokyoTyrantException si une erreur survient.

### Exemples

Exemple #1 Exemple avec TokyoTyrant::putNr()

`<?php
/* Connexion à la base de données sur le port par défaut */
$tt = new TokyoTyrant("localhost");
/* Enregistre une paire clé-valeur */
$tt->putNr("key", "value");
/* Enregistre plusieurs paires clé-valeur */
$tt->putNr(array("key1" => "value1", "key2" => "value2"));
/* Récupération d'une clé */
echo $tt->get("key1");
?>`

L'exemple ci-dessus va afficher :

    value1

### Voir aussi

- TokyoTyrant::putNr()
- TokyoTyrant::putKeep() - Enregistre un nouvel enregistrement
- TokyoTyrant::putCat() - Concatène un enregistrement

TokyoTyrant::putKeep
TokyoTyrant::putShl
TokyoTyrant
PHP Manual